name: ASP.NET Core CI/Deploy
run-name: ${{ gitea.actor }} is testing out gitea Actions 🚀
on:
  push:
    branches:
      - "main"
jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
    - name: Checkout repository
      uses: actions/checkout@v4
    - run: echo "💡 The ${{ gitea.repository }} repository has been cloned to the runner."
    - run: echo "🖥️ The workflow is now ready to test your code on the runner."
    - name: List files in the repository
      run: ls -a
    - run: docker compose -f docker-compose.yaml down
    - name: Remove all un-used container and images
      run: docker system prune -af
    - run: docker compose -f docker-compose.yaml up -d --build --force-recreate
    - run: echo "🍏 This job's status is ${{ job.status }}."